Subject: Re: Bug#944296: debian-policy: Source provenance requirement is WET

From: Guillem Jover <[email-masked]>
Date: Sat, 16 Nov 2019 04:13:41 +0100

On Sat, 2019-11-09 at 08:55:23 -0700, Sean Whitton wrote:
> On Thu 07 Nov 2019 at 09:00AM -08, Russ Allbery wrote:
> > I'm in favor of dropping this information from debian/copyright and
> > instead writing some language saying that packages should include this
> > information in Homepage in debian/control and, if there's a substantial
> > non-obvious difference between the package home page and how to download
> > it, put download information in debian/watch.
> 
> For a lot of packages I've put some sort of git web view URL into the
> Source: field and a descriptive homepage into the Homepage: field.

If upstream does not release tarballs, then I guess that usage of the
Source: field seems appropriate, otherwise it looks a bit like a
stretch?

> I don't think this is a very strong reason not to drop the Source:
> field, since the descriptive homepage will usually have a link to the
> git web view.  But I thought I'd note my experience.

Just to clarify, I didn't intend to propose drop the field, just for
example to make it optional when the same information is elswhere in
the packaging.

Thanks,
Guillem